Figure - 0 O Dev #110968
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110956 (O O Closed): 0 MKO OMMO 00 00O
0 MKO 00010 O MMO O TC-RID: 0301-09001160 DO OOOOOO
2022-08-02 20:51 - CD MMO 0 O

Status: 0 O Closed Start date:
Priority: Normal Due date:
Assignee: comvMmMOo o % Done:
Category: AUDIO-FW Estimated time:
Target version:

2022-08-02
2022-08-12
0%

0.00 hour

Description

gbooooooboobobobobobobo
1.00000000 MicQAppU OO OOOOOOOOOOOOOOOOOO
2000000000 O00O00D0O0DOOOOODOOOOOODOODn

ooog:

https://thundersoft.feishu.cn/file/boxcnbHPsc3OLRynTArN8HfkPgh
https://thundersoft.feishu.cn/file/boxcnUVI5DpEIMmZxj811KkL|zie
https://thundersoft.feishu.cn/file/boxcnezmY T6pCerMrlYR9d2URve(Audio-FW)

feature list:
https://thundersoft.feishu.cn/sheets/shtcngaFykKINSnMcKWLuUlCI3xnc?sheet=wlkPyp

History

#1 - 2022-08-02 20:52 - CD MMO O O
- Parent task changed from #110122 to #110956

#2-2022-08-2317:37-CDMMO O O

https://share.thundersoft.com/redmine/issues/111382 [0 QAD 0 O O

O000OmicOO

gobooooooooo

#3 - 2022-09-29 09:58 - CD MMO O O

oooooo:

gooooooooooooon.

gooooobooooooooooon.

oot

#4 - 2022-12-22 20:24 - CD FW-0O O
Gerrit Merge Information(]

1D Project Branch

Uploader

-dev

143276 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com

2025-07-04

1/14



https://thundersoft.feishu.cn/file/boxcnbHPsc3OLRynTArN8HfkPqh
https://thundersoft.feishu.cn/file/boxcnUVI5DpEIMmZxj811kLIzie
https://thundersoft.feishu.cn/file/boxcnezmYT6pCerMrlYR9d2URve(Audio-FW)
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc?sheet=wlkPyp
https://share.thundersoft.com/redmine/issues/111382

MM:Audio: Implementing audio focus negotiation with IDCMImplementing the audio focus negotiation with IDCM.TC-RID: 0301-0900116lssuelD:
TS-R-DF-110968Change-Id: 139bab0b853ac28e24fch16598¢112df57220ffb3

#5 - 2022-12-22 20:46 - CD FW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

158073

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tangyj0127@thundersoft.com

MM:Audio: implementing about VoiceCall for audiofocusimplementing about VVoiceCall for audiofocusTC-RID: 0301-09001161ssuelD:
TS-R-DF-110968Change-1d: 1b329a525fed44c5f855a299011dbb0d114b%edb9

#6 - 2023-02-16 14:42 - 0T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

178093

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tangjz1204@thundersoft.com

MM: Audio: open audio focus featurel. Enable FSE audio focus controlTC-RID: 0301-0900116lssuelD: TS-R-DF-110968Change-1d:
18489dc1a78f1ddbf1810ch5f54e8fd2213e87432

#7 - 2023-02-16 14:57 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

181645

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

wangxl0510@thundersoft.com

AF: Bootanimation: Change boot animationSince we enable the IDCM audio control, If there is no IDCM,we can't play audio then it will stay at bootanimation
and can'tenter home screen.Delete audio data of bootanimation.mp4 to make sure devicecan enter home screen. TC-RID: 1201-0200101Issuel D:
TS-R-DF-110968Change-1d: 1329990c52998c2d41fe952da189f407d8d9babe0

#8 - 2023-05-3109:51-CDMMDO O O
- Status changed from New to 0 0 Closed

2025-07-04

2/14




oooo

close

#9 - 2023-06-15 16:46 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
206739 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: Fix Abandon focus time too longFix Abandon focus time too longFix the focus release issue of WeChat video callTC-RID: 0301-0900116lssuelD:
TS-R-DF-110968,I0VDEV-33883Change-1d: 14fb64dch88hb725fc6952976db9f252b51f75f3eh

#10 - 2023-06-18 22:05 - 10T scm

Gerrit Merge Information(
1D Project Branch Uploader

207830 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Fix Abandon focus time too longFix Abandon focus time too longFix the focus release issue of WeChat video callTC-RID: 0301-0900116lssuelD:
TS-R-DF-110968,|0VDEV-33883Change-d: 14fb64dcb88b725fc6952976db9f252b51f75f3eb(cherry picked from commit

€878043239fcd794383eebec32c0340fc24e4el12)

#11 - 2023-06-25 13:57 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader
208973 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | tangyj0127@thundersoft.com
-dev

MM: Audio: Fix WeCom Notification of VOIPFix WeCom Notification of VOIPTC-RID: 0301-0900116lIssuelD: TS-R-DF-110968,10VDEV-35413Change-1d:
181f3258257¢36146581204040fca778063ealcd

#12 - 2023-06-25 14:04 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

209523 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

2025-07-04 3/14




MM: Audio: Fix WeCom Notification of VOIPFix WeCom Notification of VOIPTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,10VDEV-35413Change-Id:
181f3258257¢36146581204f040fca778063ea0cd(cherry picked from commit 3e054ffbal2b7833d01d697ea30080a7afad4ad0)

#13 - 2023-07-10 10:34 - IoT scm

Gerrit Merge Information(]

1D Project Branch Uploader
212115 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: Fix focus recovery at the end of a callFix focus recovery at the end of a callTC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,10VDEV-36025Change-1d: f44fc6f362¢c17f785f63587¢868b63f2d70b575¢

#14 - 2023-07-10 11:34 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader
213450 general/platform/system/sepolicy Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: Revert MM: Audio: offload disable changeRevert MM: Audio: offload disable change TC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,10VDEV-36968Change-1d: 1e0e04ef914c2c4777¢462509793e00d110beb124

#15 - 2023-07-10 11:34 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
213420 general/device/qcom/gssi Pre_figure_turbox-c2130c-lal.1-gssil2 | tangyj0127@thundersoft.com
-dev

MM: Audio: Revert MM: Audio: offload disableRevert MM: Audio: offload disableTC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,I0VDEV-36968Change-1d: 18fc76f33e6de848ce0a31bcc6f468ea533e48a07

#16 - 2023-07-10 11:34 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
213454 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev
MM: Audio: Revert MM: Audio: offload disable changeRevert MM: Audio: offload disable change TC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,I0VDEV-36968Change-Id: 18fc76f33e6de848ce0a31bcc6f468ea533e48a07

#17 - 2023-07-12 15:57 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader

213989 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Fix focus recovery at the end of a callFix focus recovery at the end of a callTC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,I0VDEV-36025Change-Id: 1f44fc6f362c17f785f63587¢868063f2d70b575¢(cherry picked from commit
£212e2c03098ch7686d5e8ff6248bfeb5425¢c9db)

#18 - 2023-07-18 19:55 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
215808 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: lossfocus_in_call status changelossfocus_in_call status changeTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,10VDEV-36672Change-1d:
1d29806€78510¢532499f19cec862dbbf475a249

#19 - 2023-07-19 16:38 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
216058 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | tangyj0127@thundersoft.com
-dev

MM: Audio: Fix Wechat setmode errorFix Wechat setmode errorTC-RID: 0301-0900116IssuelD: TS-R-DF-110968,I0VDEV-36017Change-Id:
194e228c1eb6b1c3df5bd7e9c27df87a062efa0f2

#20 - 2023-07-19 19:52 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
215949 general/platform/hardware/qcom/audi | Pre_figure_turbox-c2130c-lal.1-vendo | tangyj0127@thundersoft.com
o} r-dev

2025-07-04 5/14




MM: Audio: disable voip_rxdisable voip_rxTC-RID: 0301-0900116lssuelD: TS-R-DF-110968,10VDEV-36968Change-1d:
1f5432b64233e4ae19344328ac957aff02006¢1f9

#21 - 2023-07-19 23:55 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

216245

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

MM: Audio: lossfocus_in_call status changelossfocus_in_call status changeTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,10VDEV-36672Change-1d:
1d29806e78510c532499f19cec862dbbfo475a249(cherry picked from commit alf7e8e016e72chef5ala2b6b9cd28705a5065a€)

#22 - 2023-07-20 00:06 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

216247

general/platform/hardware/qcom/audi

o

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

MM: Audio: disable voip_rxdisable voip_rxTC-RID: 0301-0900116lssuelD: TS-R-DF-110968,10VDEV-36968Change-1d:
115432b64233e4ae19344328ac957aff02006c1f9(cherry picked from commit 03e7e7242fd87af8f1cbc81deeb6574b7f684062)

#23 - 2023-07-20 23:28 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

216508

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

MM: Audio: Fix Wechat setmode errorFix Wechat setmode errorTC-RID: 0301-0900116lssuelD: TS-R-DF-110968,I0VDEV-36017Change-Id:
194e228c1eb6blc3df5hd7e9c27df87a062efa0f2(cherry picked from commit ca849c¢7cf61192ca2¢c9bed95763f1b3cdbefd612)

#24 - 2023-07-24 10:45 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

216721

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tangyj0127@thundersoft.com

2025-07-04
MM: Audio: Fix requestaudiofocus type errorFix requestaudiofocus type error when BT is disconnected TC-RID: 0301-09001161ssuel D:
TS-R-DF-110968,I0VDEV-38135Change-1d: 14e91f5f595adb662179c11edc0cadf4e063e781

#25 - 2023-07-25 15:18 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
216736 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: Change TIME_OUT_MS to 1000Change TIME_OUT_MS to 1000TC-RID: 0301-0900116IssuelD: TS-R-DF-110968,I0VDEV-35917Change-Id:
15ef3e2e608cea89de05b23a5cff41c624b3c69bc

#26 - 2023-07-26 10:11 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
214589 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: Fix issue of get focus when switching devices in callFix issue of get focus when switching devices in call TC-RID: 0301-0900116lssuelD:
TS-R-DF-110968,I0VDEV-38504Change-Id: 13c387ae8ed5hc3bb8711cab7aa9a900abba84418

#27 - 2023-07-27 11:04 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
217994 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | tangyj0127@thundersoft.com
-dev

MM: Audio: Fix sync volume when Bluetooth connectingFix sync volume when Bluetooth connectingTC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,|I0VDEV-38449Change-1d: le6ed3259fa8596d547802255642e813603ad29b2

#28 - 2023-07-27 14:00 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
218053 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

2025-07-04 7/14




MM: Audio: Revert MM: Audio: Fix issue of get focus when switching devices in callRevert MM: Audio: Fix issue of get focus when switching devices in
callTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,I0VDEV-38504Change-1d: 14756achd7567fd014066282ed22567c00aab071e

#29 - 2023-07-27 15:25 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
218085 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: Fix WeCom Switching DevicesFix WeCom Switching DevicesTC-RID: 0301-0900116lssuelD: TS-R-DF-110968,I0VDEV-38504Change-Id:
ldb1cde23f32b9c349611ef668dealbfe0aca8909

#30 - 2023-07-27 20:02 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader

218217 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Fix issue of get focus when switching devices in callFix issue of get focus when switching devices in callTC-RID: 0301-0900116lssuelD:
TS-R-DF-110968,I0VDEV-38504Change-1d: 13c387ae8ed5bc3bb8711cab7aa9a900abba84418(cherry picked from commit
af249167b0f9230cd45fc89a04dc123c11249634)

#31 - 2023-07-27 20:03 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader

218218 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Revert MM: Audio: Fix issue of get focus when switching devices in callRevert MM: Audio: Fix issue of get focus when switching devices in
callTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,I0VDEV-38504Change-1d: 14756achd7567fd014066282ed22567c00aab071e(cherry picked from commit
bfba139af179c07d0ef9753f12d2959343f85ab2)

#32 - 2023-07-27 23:41 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

218209 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

2025-07-04 8/14




MM: Audio: Change TIME_OUT_MS to 1000Change TIME_OUT_MS to 1000TC-RID: 0301-0900116lssuelD: TS-R-DF-110968,I0VDEV-35917Change-Id:
15ef3e2e608cea89de05b23a5¢ff41c624b3c69bc(cherry picked from commit 33c0d54260404d31¢c6c9015b7ddef80b73d530bf)

#33 - 2023-07-27 23:45 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader

218243 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Fix sync volume when Bluetooth connectingFix sync volume when Bluetooth connectingTC-RID: 0301-0900116lssuelD:
TS-R-DF-110968,|0VDEV-38449Change-d: le6ed3259fa8596d547802255642e813603ad29b2(cherry picked from commit
9e90c7b09eefbeb968edee367ee2fh0291c49e99)

#34 - 2023-07-27 23:46 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader

218247 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Fix WeCom Switching DevicesFix WeCom Switching DevicesTC-RID: 0301-0900116lssuelD: TS-R-DF-110968,I0VDEV-38504Change-Id:
Idblcde23f32h9c349611ef668deaObfedaca8909(cherry picked from commit 8bcfebb80656d3d414a28eb25¢069457e32fc86d)

#35 - 2023-07-27 23:50 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader

218305 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Fix requestaudiofocus type errorFix requestaudiofocus type error when BT is disconnected TC-RID: 0301-09001161ssuel D:
TS-R-DF-110968,|0VDEV-38135Change-d: 14e91f5f595adb6621f79c11edc0cadf4e063e781(cherry picked from commit
25d7h652f3ccef18ab595442558a1d3d9cdaef6e)

#36 - 2023-08-04 15:26 - 0T scm

Gerrit Merge Information(]

2025-07-04 9/14



1D Project Branch Uploader

300313 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | tangyj0127@thundersoft.com

-dev

MM: Audio: Fix ANR when adjust volumeFix ANR when adjust volumeTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,10VDEV-33961Change-Id:
lccbdce9900b0bbb3dc9064751c65a7f9e105ed99

#37

- 2023-08-10 20:48 - 10T scm
Gerrit Merge Information(]
1D Project Branch Uploader
302380 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Fix ANR when adjust volumeFix ANR when adjust volumeTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,10VDEV-33961Change-Id:
lcchdce9900b0bbb3dc9064751c65a7f9e105ed99(cherry picked from commit 147¢4d9f88c020189259f3b4241f9ac0f6a3d795)

#38

-2023-08-1110:12 - 10T scm
Gerrit Merge Information(]
1D Project Branch Uploader
302332 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: Fix info is Fix info is TC-RID: 0301-0900116lssuelD: TS-R-DF-110968,I0VDEV-14581Change-1d: 16bda06b2593390e4e8c6edba507e1d77f908dd 7f

#39

- 2023-08-14 18:56 - loT scm
Gerrit Merge Informationd
1D Project Branch Uploader
303207 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Fix info is Fix info is TC-RID: 0301-0900116lssuelD: TS-R-DF-110968,I0VDEV-14581Change-Id:
16bda06b2593390e4e8c6edba507e1d77f908dd7f(cherry picked from commit a1409f08343f02b8d2c33a427e318f5¢747b3fae)

#40

- 2023-08-2116:14 - 10T scm

Gerrit Merge Information(]

2025-07-04 10/14




1D Project Branch Uploader

304781 general/platform/hardware/qcom/audi | Pre_figure_turbox-c2130c-lal.1-vendo | tangyj0127@thundersoft.com

o] r-dev

MM: Audio: Audio HAL Write Data LogAudio HAL Write Data LogTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,FIR-268Change-Id:
160d514086ece45833b8a2a7eba866f617fccadd2f

#41 - 2023-08-22 18:46 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
305340 general/platform/hardware/qcom/audi | Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com
o} r-release_sorp

MM: Audio: Audio HAL Write Data LogAudio HAL Write Data LogTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,FIR-268Change-Id:
16d514086ece45833b8a2a7eba866f617fccadd2f(cherry picked from commit 7d0449fcfbcc5399e15301497fa36a32a6¢364a3)

#42 - 2023-08-30 17:44 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
307451 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: Modifying the volume wait time to 80msModifying the volume wait time to 80msTC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,|0VDEV-40451Change-Id: 164a978271d76a681921663eechbeefl1ff41d251fc

#43 - 2023-08-31 23:58 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader

308778 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: Modifying the volume wait time to 80msModifying the volume wait time to 80msTC-RID: 0301-0900116lssuelD:
TS-R-DF-110968,I0VDEV-40451Change-Id: 164a978271d76a681921663eecbeef1ff41d251fc(cherry picked from commit
130e30200ald6ald8fc32ca0ch19832fefh8ff3f)

2025-07-04 11/14



#44 - 2023-09-25 17:34 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

315784

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix long monitor contention in getDevicesForStreamIntFix long monitor contention in getDevicesForStreamIntTC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,I0VDEV-41895Change-1d: 1c911a5b75¢31b66ea5dd4fe2340b7bae6e1bfb67

#45 - 2023-10-07 17:06 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

317340

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

MM: Audio: Fix long monitor contention in getDevicesForStreamIntFix long monitor contention in getDevicesForStreamIntTC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,I0VDEV-41895Change-Id: 1c911a5b75¢c31b66ea5dd4fe2340b7bae6clbfb67(cherry picked from commit
3007a46062ad819618aa01cee7db392ebbf880af)

#46 - 2023-10-18 18:43 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

320515

general/platform/hardware/qcom/audi
0

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

tangyj0127@thundersoft.com

MM: Audio: Fix music sound suddenly becomes louder when making a WeChat callFix music sound suddenly becomes louder when making a WeChat
callTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,PVC1-4104Change-1d: Idcee7c6fba22a88b66816316fc78faadle59eecd

#47 - 2023-10-27 02:25 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

323346

general/platform/hardware/qcom/audi

(o}

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

2025-07-04

MM: Audio: Fix music sound suddenly becomes louder when making a WeChat callFix music sound suddenly becomes louder when making a WeChat
callTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,PVVC1-4104Change-Id: Idcee7c6fba22a88h66816316fc78faadle59eecd(cherry picked from commit

12/14




6f3813ddd61a8faaabeb33b166c1ed8fd9Ic15ff1)

#48 - 2023-11-08 14:12 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

326509

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix AiQiYi Focus Problems When Screen OffFix AiQiYi Focus Problems When Screen OffTC-RID: 0301-09001161ssuelD:
TS-R-DF-110968,QMV-163Change-1d: 18fa9a00ff0a8e25418163004dc7c6bc26c416492

#49 - 2023-11-09 19:54 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

326977

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tangyj0127@thundersoft.com

MM: Audio: Focus handling when Bluetooth is disconnectedFocus handling when Bluetooth is disconnected TC-RID: 0301-0900116lssuelD:
TS-R-DF-110968,I0VDEV-38091Change-1d: 10b4f74c829882da0b831e1780d993b474afc4e79

#50 - 2023-11-14 11:30 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

327875

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

MM: Audio: Focus handling when Bluetooth is disconnectedFocus handling when Bluetooth is disconnected TC-RID: 0301-0900116lssuelD:
TS-R-DF-110968,I0VDEV-38091Change-Id: 10b4f74c8a9882da0b831e1780d993b474afc4e79(cherry picked from commit
9cfc0bd4677¢f9597d03547h39b5719c9c2bb72b)

#51 - 2023-11-20 13:40 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

329053

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-04
MM: Audio: Fix AiQiYi Focus Problems When Screen OffFix AiQiYi Focus Problems When Screen OffTC-RID: 0301-0900116lssuelD:
TS-R-DF-110968,QMV-163Change-1d: 18fa%a00ff0a8e25418163004dc7c6bc26c416492(cherry picked from commit 83abe53f98305867af93703766ffe60a5e7305¢3)

#52 - 2023-11-29 10:29 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
331492 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tangyj0127@thundersoft.com
-dev

MM: Audio: voice calling mute mediavoice calling mute mediaTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,10VDEV-49150Change-1d:
16912551875db245d872b8f81f73bfe25ala%ealb

#53 - 2023-12-11 13:58 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader

334886 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

MM: Audio: voice calling mute mediavoice calling mute mediaTC-RID: 0301-09001161ssuelD: TS-R-DF-110968,10VDEV-49150Change-1d:
16912551875db245d872b8f81f73bfe25ala%al5(cherry picked from commit 022b8f26298bd6112bbdae4ab4af0794bfeb2838)

#54 - 2023-12-12 09:31 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

335258 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

Revert MM: Audio: voice calling mute mediaThis reverts commit cebf2db58a28f7259963d3ff347675f3d6¢2f926.Reason for revert: <revert for tts>TC-RID:
0301-0900116lssuelD: TS-R-DF-110968,I0VDEV-49150Change-1d: 186ae0a65cee5484a7f2b388bbb407959f2ffedae
